CREATE TABLE cn_tp_calc_job_prtcpnts_all (
    CALC_JOB_PRTCPNT_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    CALC_JOB_ID              NUMBER(18, 0)    NOT NULL,
    CALC_JOB_DETAIL_ID       NUMBER(18, 0),
    PARTICIPANT_ID           NUMBER(18, 0),
    HIERARCHY_FLAG           VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CALC_JOB_PRTCPNT_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    CALC_JOB_ID              NUMBER(18, 0)    NOT NULL,
    CALC_JOB_DETAIL_ID       NUMBER(18, 0),
    PARTICIPANT_ID           NUMBER(18, 0),
    HIERARCHY_FLAG           VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cn_tp_calc_job_prtcpnts_all PRIMARY KEY (CALC_JOB_PRTCPNT_ID, CALC_JOB_PRTCPNT_ID)
);
